switch-priv-modes:
  switch_modes: true
  num_switches: 10

priv-mode:
  mode: s

general:
  total_instructions: 50000
  regs_not_use: x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19,x20,x21,x22,x23,x24,x25
  custom_trap_handler: true
  code_start_address: 0x80000000
  default_program_exit: false
  delegation: 0xfff

isa-instruction-distribution:
  rel_sys: 0
  rel_sys.csr: 0
  rel_rv32i.ctrl: 0
  rel_rv32i.compute: 10
  rel_rv32i.data: 10
  rel_rv32i.fence: 10
  rel_rv64i.compute: 10
  rel_rv64i.data: 10
  rel_rv32m: 10
  rel_rv64m: 10
  rel_rv32a: 10
  rel_rv64a: 10
  rel_rv32f: 10
  rel_rv64f: 10
  rel_rv32d: 10
  rel_rv64d: 10
  rel_rvc.ctrl: 0
  rel_rvc.compute: 0
  rel_rvc.sp: 0
  rel_rvc.data: 0
  rel_rvc.fdata: 0
  rel_rv32c.compute: 0
  rel_rv32c.ctrl: 0
  rel_rv32c.fdata: 0
  rel_rv64c.compute: 0
  rel_rv64c.data: 0

float-rounding:
  rne: 10
  rtz: 10
  rdn: 10
  rup: 10
  rmm: 10
  dyn: 10

branch-control:
  block-size: 7
  backward-probability: 0.5

recursion-options:
  recursion-enable: true
  recursion-depth: 10
  recursion-calls: 5

access-sections:
  begin_signature: 0x80090000,0x800a0000,rw

user-functions:
  func1: '{10:"add x0,x0,x0"}'

i-cache:
  num_calls: 10
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10

d-cache:
  num_calls: 0
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10

exception-generation:
  ecause00: 10
  ecause01: 10
  ecause02: 10
  ecause03: 10
  ecause04: 10
  ecause05: 10
  ecause06: 10
  ecause07: 10
  ecause08: 10
  ecause09: 10
  ecause10: 10
  ecause11: 10
  ecause12: 10
  ecause13: 10
  ecause14: 10

csr-sections:
  sections: 0x000:0xfff

data-hazards:
  raw_prob: 0.9
  war_prob: 0.9
  waw_prob: 0.9
  num_regs_lookbehind: 3

program-macro:
  pre_program_macro: "add x0,x0,x0"
  post_program_macro: "li gp,1; \n sw gp, tohost, t5;\n fence.i;\n li t6,  0x20000; \n la t5, begin_signature; \n sw t5, 0(t6); \n la t5, end_signature \n sw t5, 8(t6); \n sw t5,  12(t6);"        
  pre_branch_macro: "add x0,x0,x0"
  post_branch_macro: "add x0,x0,x0"
  ecause00: "random"
  ecause01: "random"
  ecause02: "random"
  ecause03: "random"
  ecause04: "random"
  ecause05: "random"
  ecause06: "random"
  ecause07: "random"
  ecause08: "random"
  ecause09: "random"
  ecause10: "random"
  ecause11: "random"
  ecause12: "random"
  ecause13: "random"
  ecause14: "random"
